Subject: Re: [1.8.0] forbid full fetchspecs in git-pull

From: Thomas Rast <[email-masked]>
Date: Tue, 1 Feb 2011 16:14:57 +0100

Dmitry Potapov wrote:
> As to disallowing ':' in refspec completely, I am not so sure... Not
> that I think it is very useful, but also I don't see how it can hurt
> someone provided that the target branch cannot be the current branch.

IRC experience shows that people, while on some topic branch, run

  git pull origin master:master

expecting it to "pull master into master" (or even worse with three
different branch names).  So no, the current branch safeguard does
not prevent the fundamental mistake.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch